.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

grip justification after attribute modify

0 REPLIES 0
Reply
Message 1 of 1
Anonymous
191 Views, 0 Replies

grip justification after attribute modify

I am using vb .net to modify attributes. the problem is when I open the drawing the grip points on the attribute are not correct. does anyone know how to update the grip points?

Dim db As Database = HostApplicationServices.WorkingDatabase
Dim t As Transaction = db.TransactionManager.StartTransaction()
Dim blkname As String = "COE_SHEET SEQ"
Dim bt As BlockTable = CType(t.GetObject(db.BlockTableId, OpenMode.ForRead), BlockTable)
Dim btr As BlockTableRecord = CType(t.GetObject(bt(blkname), OpenMode.ForRead), BlockTableRecord)
Dim oic As ObjectIdCollection = btr.GetBlockReferenceIds(False, False)
Dim br As BlockReference = CType(t.GetObject(oic(0), OpenMode.ForRead), BlockReference)
Dim ac As Integer = br.AttributeCollection.Count
Dim i As Integer
For i = 0 To ac - 1
Dim ar As AttributeReference
ar = CType(t.GetObject(br.AttributeCollection(i), OpenMode.ForWrite), AttributeReference)
MsgBox(ar.TextString)
ar.TextString = "zxzxxx"
0 REPLIES 0

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost